|  | Home · All Classes · Modules

# QStyleOptionComplex Class Reference
[QtGui module]

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls. More...

Inherits QStyleOption.

Inherited by QStyleOptionComboBox, QStyleOptionGroupBox, QStyleOptionSizeGrip, QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionTitleBar and QStyleOptionToolButton.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self, int version = QStyleOptionComplex.Version, int type = QStyleOption.SO_Complex)
- __init__ (self, QStyleOptionComplex other)

### Members

- QStyle.SubControls activeSubControls
- QStyle.SubControls subControls

## Detailed Description

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls.

This class is not used on its own. Instead it is used to derive other complex control options, for example QStyleOptionSlider and QStyleOptionSpinBox.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator).

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption.

## Type Documentation

### QStyleOptionComplex.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionComplex.Type` | `SO_Complex` | The type of style option provided (SO_Complex for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionComplex.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionComplex.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionComplex.__init__ (self, int version = QStyleOptionComplex.Version, int type = QStyleOption.SO_Complex)

Constructs a QStyleOptionComplex of the specified type and version, initializing the member variables to their default values. This constructor is usually called by subclasses.

### QStyleOptionComplex.__init__ (self, QStyleOptionComplex other)

Constructs a copy of the other style option.

## Member Documentation

### QStyle.SubControls activeSubControls

This variable holds a bitwise OR of the various sub-controls that are active (pressed) for the complex control.

The default value is QStyle.SC_None.

See also QStyle.SubControl.

### QStyle.SubControls subControls

This variable holds a bitwise OR of the various sub-controls that need to be drawn for the complex control.

The default value is QStyle.SC_All.

See also QStyle.SubControl.